Bug 214843 - print/lyx: fails to build with hunspell 1.5
Summary: print/lyx: fails to build with hunspell 1.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords: needs-patch
Depends on:
Blocks: 214837
  Show dependency treegraph
 
Reported: 2016-11-26 10:09 UTC by Jan Beich
Modified: 2016-11-27 20:29 UTC (History)
0 users

See Also:
rakuco: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-11-26 10:09:41 UTC
HunspellChecker.cpp:354:13: error: use of undeclared identifier 'SPELL_COMPOUND'
        if (info & SPELL_COMPOUND) {
                   ^
HunspellChecker.cpp:358:13: error: use of undeclared identifier 'SPELL_FORBIDDEN'
        if (info & SPELL_FORBIDDEN) {
                   ^

http://sprunge.us/CJjj
Comment 1 Raphael Kubo da Costa freebsd_committer 2016-11-26 12:22:50 UTC
I've filed a bug in hunspell's bug tracker to ask if not installing atypes.hxx was intentional or not: https://github.com/hunspell/hunspell/issues/432
Comment 2 Raphael Kubo da Costa freebsd_committer 2016-11-27 20:04:34 UTC
Can you check if hunspell 1.5.1 fixes lyx's build for you?
Comment 3 Jan Beich freebsd_committer 2016-11-27 20:29:53 UTC
Builds fine with hunspell 1.5.1: http://sprunge.us/VHGY